public class GregorianDate {
	private double Y, M, D;
	
	
	/** 
	This is a constructor for a <b>GregorianDate</b> object. It will take
	three parameters : year, month and date.
	
	@param Y represents year
	@param M represents month
	@param D represents day

	@return  object <b>GregorianDate</b>
	*/
	public GregorianDate (double Y, double M, double D) {
		this.Y = Y;
		this.M = M;
		this.D = D;
	}

	/**
	Gets year field from <b>GregorianDate</b> object

	@return year of <b>GregorianDate</b> object
	*/
	public double getY () {
		return this.Y;
	}

	/**
	Gets month field from <b>GregorianDate</b> object

	@return month of <b>GregorianDate</b> object
	*/
	public double getM () {
		return this.M;
	}

	/**
	Gets day field from <b>GregorianDate</b> object

	@return day of <b>GregorianDate</b> object
	*/
	public double getD () {
		return this.D;
	}

	/** 
	Sets year as a new value of year field in <b>GregorianDate</b> object.

	@param Y stands for a new value of year
	*/

	public void setY ( double Y ) {
	 	 this.Y = Y;
	}


	/** 
	Sets month as a new value of month field in <b>GregorianDate</b> object.

	@param M stands for a new value of month
	*/
	public void setM ( double M ) {
	 	 this.M = M;
	}

	/** 
	Sets day as a new value of day field in <b>GregorianDate</b> object.

	@param D stands for a new value of day
	*/

	public void setD ( double D ) {
	 	 this.D = D;
	}
}
